# Set-RASAuthSettings.md

## NAME

Set-RASAuthSettings

## SYNOPSIS

Updates connection settings for authentication.

## SYNTAX

\*\*Set-RASAuthSettings \[\[-[AuthType](#AuthType)] {UsernamePassword | SmartCard | Web | WebCredentials | UsernamePasswordOrSmartCard}] \[[AllTrustedDomains](#alltrusteddomains-string) *(bool)*] \[[ChangePasswordURL](#changepasswordurl-string) *(string)*] \[[Domain](#domain-string) *(string)*] \[[ForceNetBIOSCreds](#forcenetbioscreds-string) *(bool)*] \[[ReplicateSettings](#replicatesettings-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[[UseChangePasswordURL](#usechangepasswordurl-string) *(bool)*] \[[UseClientDomain](#useclientdomain-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Updates all of the connection settings for authentication. All parameters are optional, but at least one has to be present.

## PARAMETERS

## AuthType

([AuthenticationTypes](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/authenticationtypes.md)) Represents the type of authentication.

Possible values: UsernamePassword, SmartCard, Web, WebCredentials, UsernamePasswordOrSmartCard

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllTrustedDomains (bool)

Whether to use all trusted domains.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID to which the RAS authentication settings refer.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Domain (string)

Domain name.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## UseClientDomain (bool)

Whether to use the client domain, if specified.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ForceNetBIOSCreds (bool)

Whether to force clients to use NetBIOS credentials.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReplicateSettings (bool)

Whether to replicate settings to other sites.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## UseChangePasswordURL (bool)

Enable use custom link for the "Change domain password" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ChangePasswordURL (string)

Custom link for the "Change domain password" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RASAuthSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasauthsettings.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASAuthSettings -AuthType SmartCard -ForceNetBIOSCreds $true

Changes the RAS authentication settings to use the SmartCard type authentication. Sets the NetBIOS Credentials to be always forced.

## RELATED LINKS

* [Get-RASAuthSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasauthsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasauthsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
